My Oracle Support Banner

Issues Applying OPatch 13.9.4.2.10 To OHI 3.22.1.0.5 (Doc ID 2922145.1)

Last updated on JANUARY 16, 2024

Applies to:

Oracle Health Insurance Enterprise Policy Administration - Version 3.22.1.0.0 and later
Oracle Health Insurance Claims Adjudication - Version 4.23.1.0.0 to 4.23.1.0.0 [Release 4.23.1]
Information in this document applies to any platform.

Symptoms

Issues applying OPatch 13.9.4.2.10 to OHI 3.22.1.0.5


While applying Opatch 13.9.4.2.10 see the following issues in stack trace:

2022-10-31 12:14:11.972/105.644 Oracle Coherence GE 12.2.1.4.15 (thread=ProcessingPattern:Thread-68, member=n/a): Restarting Service: DistributedServiceForProcessingPatternTaskMediators
2022-10-31 12:14:11.981/105.652 Oracle Coherence GE 12.2.1.4.15 (thread=ProcessingPattern:Thread-68, member=n/a): Loaded Reporter configuration from "jar:file:/proj/hp/middleware/product/Oracle_Home/coherence/lib/coherence.jar!/reports/report-group.xml"
weblogic.application.ModuleException: groovy.lang.GroovyRuntimeException: Conflicting module versions. Module [groovy-xml is loaded in version 3.0.8 and you are trying to load version 2.5.14
at weblogic.application.internal.ExtensibleModuleWrapper.start(ExtensibleModuleWrapper.java:140)
at weblogic.application.internal.flow.ModuleListenerInvoker.start(ModuleListenerInvoker.java:124)

2022-10-31 12:14:15.510/109.182 Oracle Coherence GE 12.2.1.4.15 (thread=DistributedCache:DistributedServiceForProcessingPatternTaskMediators, member=1): Exception caught while dispatching to "<DistributedServiceForProcessingPatternTaskMediators:com.oracle.coherence.patterns.processing.internal.task.TaskProcessorMediatorInterceptor, com.oracle.coherence.patterns.processing.internal.task.TaskProcessorMediatorInterceptor>": (Wrapped) java.io.IOException: Could not load cache configuration resource file:/META-INF/coherence-cache-config.xml
at com.tangosol.util.Base.ensureRuntimeExcep

 


STEPS TO REPRODUCE: Stopped the Weblogic managed servers after applying the patches; restarted servers and see that Policies jar OHI-Policies-3.22.1.0.5 and em jar files do not run.


Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.